package service

import (
	"github.com/google/uuid"
)

func NewPool(services ...Service) (pool map[string]Service) {
	pool = make(map[string]Service)

	for i := range services {
		if services[i] == nil {
			continue
		}

		sid := services[i].String()
		if sid == "" {
			sid = uuid.NewString()
		}

		pool[sid] = services[i]
	}

	return
}
